Package io.dapr.v1

# Interface DaprProtos.SubtleWrapKeyResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.SubtleWrapKeyResponse`, `DaprProtos.SubtleWrapKeyResponse.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.SubtleWrapKeyResponseOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`com.google.protobuf.ByteString`
`getTag()`
Authentication tag.
`com.google.protobuf.ByteString`
`getWrappedKey()`
Wrapped key.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getWrappedKey

com.google.protobuf.ByteString getWrappedKey()

     Wrapped key.

`bytes wrapped_key = 1 [json_name = "wrappedKey"];`

Returns:
  The wrappedKey.

### getTag

com.google.protobuf.ByteString getTag()

     Authentication tag.
     This is nil when not using an authenticated cipher.

`bytes tag = 2;`

Returns:
  The tag.